[song]
name = Blackcurrant Jam
artist = Avery Green
album = Kitsch
genre = Progressive Metal
year = 2022
song_length = 240007
charter = XEntombmentX
diff_guitar = 6
preview_start_time = 16710
icon = csc
album_track = 1
loading_phrase = Avery Green is a trans woman from London, England. As a homeless teenager playing acoustic guitar in the street, she realized that she wanted to pursue a music career. Now, she is a session musician for bands across the United Kingdom and writes/performs music for her solo material and with her band, somethingorother.

